
[H] High priority (important for first release)
[M] Medium priority (should be in the final game)
[L] Low priority (nice to have)
[?] I am not sure.

Graphics 
~~~~~~~~

 [M] Draw Mousecursors for normal, link and what's this (eventually also
     loading and scrolling)
 [M] We need an icon (48x48 png with alpha for kde/gnome, eventually 128x128 png
        alpha for mac os/x and 32x32 keycolored (and/or alpha) for windows)
 [M] test if we run out of video memory and display some warnings at least
 [L] graphics alignment wrong in non-1024x768 mode:
     if I start lincity-ng with '-S 1280x960' or '-S 1600x1200', and 
     then press the 'New Game' button, the available scenarios are rendered
     outside the blue box.

Programming
~~~~~~~~~~~

--Gui--
 [M] Implement dirty rectangle methods to only redraw when needed
 [?] Think about mechanism for attach arbitrary properties to components
    (for tooltips, styles (and layout data?) )
 [M] Add back/forward buttons to help window
 [M] drawToTexture in OpenGL (noone using this at the moment, could be used to
     optimize minimap in the future. Maybe this is a good starting point :
     http://www.paulsprojects.net/opengl/rtotex/rtotex.html)
     glTexSubImage2D might be helpfull
 [?] Usability testing log. That the buttons the user pressed (and additional
     actions like scrolling the map, creating buildings, displaying building
     stats). This could be used to measure common user actions and improve
     usability.

--Bugs--
 [L] New text on buttons is truncated to original textlength. 
     (eg in load game menu) Buttons that had an empty string as caption once
     won't change to anything else. At least the caption is not shown.
 [H] There are help page without any link to them. Some of the texts
     are just wrong because they were taken from classic without any
     adjustment to the new gui.

--Game--
 [M] Implement a What's this button - down to [M], we can simply open the front
     page of the help file for now...
 [M] Print out more debug infos that user can send in with debug reports:
     architecture?, SDL version, opengl driver name, SDL software driver name,
     SDL sound driver name, screen resolution
 [H] Looks like watching electricity minimap uses power. Seems to be this way
     in classic already. Do we want to change that? No.
 [M] "Dungeon Keeper"-like message queue
 [M] Rework the starting help pages: sort buildings alphabetically, add shanty,
     add more index pages so that you can access each help page with 2 (maybe 3)
     clicks from the start page.
 [M] Find a way to detect the language on windows.

-- Infrastructure/Deployment --
 [H] Setup an automatic backup script for the wiki!
 [L] Is it possible to automatically generate/maintain a ChangeLog file from svn
     commits?  (Nathan: http://tiefighter.et.tudelft.nl/~arthur/svn2cl/)
